//
// main for meanvar
// August 25, 2014
//
#include "meanvar.h"

extern int optind;

int main(int argc, char** argv)
{
  dvec x;                                                       // x values
  dvec s;                                                   // sigma values
  result r;
  opts o;
  ifstream ifs;
  get_opts(argc, argv, o);

  if (argc == optind + 1) {
    gopen(ifs, argv[optind]);                              // open datafile
  }
  else {
    prn_usage(argv);
    exit(EXIT_FAILURE);
  }
  r.datafile = argv[optind];          // put datafile name in results class
  get_data(ifs, x, s);
  calculate(x, s, o, r);
  prn_results(r, o);
}
